Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000963I6 LibraryGeneralpublic2012-08-04 22:172015-05-10 17:47
Reporterjmcgrew 
Assigned ToDavidG 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6/11 
Target Version6/12Fixed in Version6/12 
Summary0000963: Multiexcept lookahead
DescriptionIncomplete input which depends on a multiexcept token, such as a player typing INSERT COIN rather than INSERT COIN INTO VENDING MACHINE, produces "I didn't understand that sentence." rather than "What do you want to insert the coin in?", which is what library 6/11 produces. This probably affects multiinside tokens as well.

These changes to the L61127 patch seem to fix the problem:

if (wn > num_words) {
#Ifdef DEBUG;
if (parser_trace >= 2)
print " [Look-ahead aborted: prepositions missing]^";
#Endif;

- jump LineFailed;
+ jump EmptyLine;
}

.....

} until (line_ttype-->pcount ~= PREPOSITION_TT);

+ .EmptyLine;

! put back the non-preposition we just read

wn--;
TagsNo tags attached.
Attached Files

- Relationships
related to 0000636closedgraham Core Inform Multiexcept lookahead 

-  Notes
(0001771)
DavidG (developer)
2012-08-05 22:10

I've tested Egon's fix and confirmed that it works. Now I'd like to close this, but the thingy that says what version the bug is fixed in doesn't quite make sense. "Fixed in 6.32"? Advice?
(0001774)
jmcgrew (administrator)
2012-08-06 01:33
edited on: 2012-08-06 01:33

Ah, I guess we should have a separate project for the I6 library after all so it can have its own version numbers. I'll set that up this week.

(0001778)
DavidG (developer)
2012-08-08 14:50

I don't know how else to get a hold of you. Could you set up the project for the I6 library now? I'd like to enter into it the remaining bugs in 6/11 while keeping the bugtracker clear of needless duplicates.
(0001779)
jmcgrew (administrator)
2012-08-08 15:17

Done. I've added versions for 6/11 and 6/12, let me know if you need changes or additions.
(0003721)
jmcgrew (administrator)
2015-05-10 17:47

Closing all resolved issues from 2014 and earlier.

- Issue History
Date Modified Username Field Change
2012-08-04 22:17 jmcgrew New Issue
2012-08-04 22:17 jmcgrew Issue generated from 0000636
2012-08-04 22:17 jmcgrew Relationship added related to 0000636
2012-08-04 22:17 jmcgrew Project Core Inform => Inform 6
2012-08-04 22:19 jmcgrew Assigned To => DavidG
2012-08-04 22:19 jmcgrew Status new => assigned
2012-08-04 22:22 jmcgrew Category Understanding => General
2012-08-04 22:22 jmcgrew Product Version 6G60 =>
2012-08-05 17:55 jmcgrew Product Version => 6.32
2012-08-05 22:06 DavidG Note Added: 0001770
2012-08-05 22:06 DavidG Assigned To DavidG => jmcgrew
2012-08-05 22:07 DavidG Assigned To jmcgrew => DavidG
2012-08-05 22:07 DavidG Note Deleted: 0001770
2012-08-05 22:10 DavidG Note Added: 0001771
2012-08-05 23:50 DavidG Status assigned => confirmed
2012-08-06 01:33 jmcgrew Note Added: 0001774
2012-08-06 01:33 jmcgrew Note Edited: 0001774 View Revisions
2012-08-08 14:50 DavidG Note Added: 0001778
2012-08-08 15:16 jmcgrew Project Inform 6 => I6 Library
2012-08-08 15:17 jmcgrew Note Added: 0001779
2012-08-08 15:17 jmcgrew Product Version 6.32 => 6/11
2012-08-08 15:17 jmcgrew Fixed in Version => 6/12
2012-08-08 15:20 jmcgrew Target Version => 6/12
2012-08-08 15:24 DavidG Status confirmed => resolved
2012-08-08 15:24 DavidG Resolution open => fixed
2015-05-10 17:47 jmcgrew Note Added: 0003721
2015-05-10 17:47 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker